Bug 974327 - Update to 0.7.6
Update to 0.7.6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 21:21 EDT by Matthew Miller
Modified: 2014-11-16 10:30 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-16 10:30:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update version (3.13 KB, patch)
2014-11-14 14:35 EST, Colin Walters
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1247132 None None None Never

  None (edit)
Description Matthew Miller 2013-06-13 21:21:07 EDT
cloud-init uses cheetah for template rendering. It's a fine template language, but,

 a) it's really not used very much
 b) it pulls in a lot of dependencies that we really don't want in the minimal image.

Specifically, freetype, jbigkit-libs, lcms-libs, libjpeg-turbo, libtiff, libwebp, python-markdown, python-pillow, python-pygments, python-setuptools.
Comment 1 Matthew Miller 2013-07-25 10:33:18 EDT
Since this is probably considerable work, I should add that the rationale here is more than "these packages take up bits" and "it looks silly on the image". Those things are true, but the more important thing is that historically, these graphics libraries are rife with security-sensitive bugs and often need updating. As we push the cloud image to be more primary, will probably need to start respinning for security updates, and we want to minimize the situations when that happens. Getting these things off the image significantly improves that position.
Comment 2 Frankie Onuonga 2013-08-23 16:50:38 EDT
I am looking into it.

thanks.
Comment 3 Frankie Onuonga 2013-08-26 03:40:54 EDT
So on running grep cheetah this is what I find.

1:./cloud-init/packages/debian/changelog.in:## This is a cheetah
template
2:./cloud-init/packages/debian/control.in:## This is a cheetah template
3:./cloud-init/packages/debian/control.in:               python-cheetah,
4:./cloud-init/packages/redhat/cloud-init.spec.in:## This is a cheetah
template
5:./cloud-init/packages/redhat/cloud-init.spec.in:BuildRequires:
python-cheetah
6:./cloud-init/packages/suse/cloud-init.spec.in:## This is a cheetah
template
7:./cloud-init/packages/suse/cloud-init.spec.in:BuildRequires:
python-cheetah

This are the places it seems to appear in the whole project.
I am going into them step by step to see what I can do about it.
Kindly excuse me for giving preference to 4 and 5 as this is what affects us here.
Comment 4 Frankie Onuonga 2013-08-26 03:56:49 EDT
according to ./cloud-init/Requires:

# Used for untemplating any files or strings with parameters.
cheetah

I therefore think that we may need to do it our own way if we need this to be dropped.

I am going to look into the design of it and see what is required.

This seems to be the only reason cheetah is here.
Comment 5 Matthew Miller 2013-08-26 10:46:52 EDT
(In reply to Frankie Onuonga from comment #4)
> according to ./cloud-init/Requires:
> 
> # Used for untemplating any files or strings with parameters.
> cheetah
> 
> I therefore think that we may need to do it our own way if we need this to
> be dropped.
> 
> I am going to look into the design of it and see what is required.
> 
> This seems to be the only reason cheetah is here.

Awesome -- thanks!
Comment 6 Frankie Onuonga 2013-09-04 01:07:55 EDT
Ok so I put this up with the package guys who are on the mainline (upstream) and we are looking into a lighter option with similar syntax. It also therefore means we will need to do a version bump up.
This is going to be a long term fix.

At least we have the discussions going on for now.
Comment 7 Matthew Miller 2013-09-05 08:20:01 EDT
(In reply to Frankie Onuonga from comment #6)
> Ok so I put this up with the package guys who are on the mainline (upstream)
> and we are looking into a lighter option with similar syntax. It also
> therefore means we will need to do a version bump up.
> This is going to be a long term fix.
> 
> At least we have the discussions going on for now.

Thanks Frankie. That sounds like absolutely the right approach and is very, very helpful -- even if it takes a while.
Comment 8 Frankie Onuonga 2013-09-05 08:50:24 EDT
For some reason I was removed from the cc of this mail list.can I kindly be added back.

Yes sure no problem at all about this.

 I think I will follow up and constantly update on progress.
Comment 9 Frankie Onuonga 2013-09-11 10:51:01 EDT
Hi guys,
sorry I have been off for sometime. Just to update.
I am going to mainstream to discuss some of the template engines found here.

https://wiki.python.org/moin/Templating
Comment 10 Fedora End Of Life 2013-09-16 10:11:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 11 Sandro Mathys 2014-04-04 21:30:35 EDT
We're going to need this in F21, so changing back to rawhide.

Also, I'd like to add to the OP that the cheetah stuff is now also pulling in additional packages (according to the package changelog, that used to be a bug) that we really don't want in our cloud images. Things like ghostscript and a few fonts. So this has actually gained more importance to us.
Comment 12 Colin Walters 2014-11-14 12:54:05 EST
See also https://bugs.launchpad.net/cloud-init/+bug/1247132
Comment 13 Colin Walters 2014-11-14 13:40:46 EST
It looks like cloud-init 0.7.6 addresses this actually.
Comment 14 Colin Walters 2014-11-14 14:35:19 EST
Created attachment 957711 [details]
Update version
Comment 15 Colin Walters 2014-11-14 14:37:33 EST
0.7.6 works here, ok if I push this to rawhide?

Note You need to log in before you can comment on or make changes to this bug.